use std::time::Duration;

use serde::Deserialize;

#[derive(Debug, Deserialize)]
pub struct Config {
    pub durations: Vec<DurationWrapper>,
    #[serde(default)]
    pub vibrate_when_finished: bool,
    #[serde(default)]
    pub needy: bool,
}

#[derive(Debug, Deserialize)]
pub struct DurationWrapper(#[serde(with = "humantime_serde")] pub Duration);
